Bug 1315472 - kube-controller-manager ignores --master argument
kube-controller-manager ignores --master argument
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kubernetes (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 15:26 EST by Dusty Mabe
Modified: 2016-03-31 20:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 20:28:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusty Mabe 2016-03-07 15:26:21 EST
Description of problem:

kube-controller-manager ignores --master argument


Version-Release number of selected component (if applicable):
[root@f23 kubernetes]# rpm -qa | grep kubernetes sort
kubernetes-1.2.0-0.13.alpha6.gitf0cd09a.fc23.x86_64
kubernetes-client-1.2.0-0.13.alpha6.gitf0cd09a.fc23.x86_64
kubernetes-master-1.2.0-0.13.alpha6.gitf0cd09a.fc23.x86_64
kubernetes-node-1.2.0-0.13.alpha6.gitf0cd09a.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
After setting up system like you normally would do (create cert etc..) observe the kube-controller manager service ignores the '--master' arg on the command line.
You can repro with this command:
```
/usr/bin/kube-controller-manager --logtostderr=true --v=0 --master=http://127.0.0.1:8080 --service_account_private_key_file=/etc/pki/kube-apiserver/serviceaccount.key
```

I set up my systems using the lines in this ansible playbook: 
https://github.com/dustymabe/vagrantdirs/blob/master/f23/playbook.yml#L62


Actual results:

The following is the message you receive. Note the "nor --master was specified" log message, which indicates it didn't recognize the --master=http://127.0.0.1:8080 argument we provided: 

```
[root@f23 kubernetes]# /usr/bin/kube-controller-manager --logtostderr=true --v=0 --master=http://127.0.0.1:8080 --service_account_private_key_file=/etc/pki/kube-apiserver/serviceaccount.key 
W0307 20:07:44.007893   13698 client_config.go:352] Neither --kubeconfig nor --master was specified.  Using the inClusterConfig.  This might not work.
W0307 20:07:44.008076   13698 client_config.go:357] error creating inClusterConfig, falling back to default config: %vunable to load in-cluster configuration, KUBERNETES_SERVICE_HOST and KUBERNETES_SERVICE_PORT must be defined
I0307 20:07:44.008618   13698 plugins.go:71] No cloud provider specified.
I0307 20:07:44.010789   13698 replication_controller.go:185] Starting RC Manager
I0307 20:07:44.012329   13698 nodecontroller.go:134] Sending events to api server.
E0307 20:07:44.012490   13698 controllermanager.go:212] Failed to start service controller: ServiceController should not be run without a cloudprovider.
I0307 20:07:44.012519   13698 controllermanager.go:225] allocate-node-cidrs set to false, node controller not creating routes
I0307 20:07:44.023177   13698 controllermanager.go:258] Starting extensions/v1beta1 apis
I0307 20:07:44.023323   13698 controllermanager.go:260] Starting horizontal pod controller.
I0307 20:07:44.023500   13698 controllermanager.go:274] Starting daemon set controller
I0307 20:07:44.023730   13698 controllermanager.go:280] Starting job controller
I0307 20:07:44.023833   13698 controller.go:180] Starting Daemon Sets controller manager
```

As a result we see this when trying to create a pod:

```
[root@f23 ~]# kubectl create -f /tmp/busybox.yaml 
Error from server: error when creating "/tmp/busybox.yaml": pods "busybox" is forbidden: no API token found for service account default/default, retry after the token is automatically created and added to the service account
```
Comment 1 Jan Chaloupka 2016-03-08 11:12:48 EST
I have the same result just by starting kube-controller-manager.service from installed rpm without any configuration file modification.
Comment 2 Fedora Update System 2016-03-08 14:03:00 EST
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a89f5ce5f4
Comment 3 Fedora Update System 2016-03-09 17:55:46 EST
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a89f5ce5f4
Comment 4 Fedora Update System 2016-03-31 20:27:43 EDT
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.